0 Пользователей и 1 Гость просматривают эту тему.
  • 13 Ответов
  • 735 Просмотров
*

saschka

  • Осваиваюсь на форуме
  • 156
  • 0 / 0
При установке обновления 2.5.16 выскакивает ошибка
*

Davidich

  • Осваиваюсь на форуме
  • 185
  • 7 / 1
Re: Не удается обновиться до 2.5.16
« Ответ #1 : 05.12.2013, 08:23:03 »
Каким способом обновляете?
*

saschka

  • Осваиваюсь на форуме
  • 156
  • 0 / 0
Re: Не удается обновиться до 2.5.16
« Ответ #2 : 05.12.2013, 08:33:42 »
Каким способом обновляете?
1. Прямая установка с сервера обновления.
2. При установке из менеджера расширений через "загрузить файл пакета"/"установить" - ошибка загрузки файла на сервер.
3. При установке из менеджера расширений через "установить из каталога" - происходит установка Редактора JCE 2.3.3.2 (хотя не понимаю, как он может устанавливаться, если папке tmp кроме пакета 2.5.16 ничего нет.
*

Davidich

  • Осваиваюсь на форуме
  • 185
  • 7 / 1
Re: Не удается обновиться до 2.5.16
« Ответ #3 : 05.12.2013, 08:45:07 »
configuration.php просмотрите строчку public $tmp_path =  куда ведет? в папку tmp сайта?
*

saschka

  • Осваиваюсь на форуме
  • 156
  • 0 / 0
Re: Не удается обновиться до 2.5.16
« Ответ #4 : 05.12.2013, 08:54:57 »
configuration.php просмотрите строчку public $tmp_path =  куда ведет? в папку tmp сайта?
public $tmp_path = 'tmp';
*

Davidich

  • Осваиваюсь на форуме
  • 185
  • 7 / 1
Re: Не удается обновиться до 2.5.16
« Ответ #5 : 05.12.2013, 09:06:03 »
напишите относительно сервера, например если на локалке на x , то public $tmp_path = 'X:\\home\\localhost\\www\\имя папки сайта/tmp';
если на хостинге public $tmp_path = '/home/c/имя папки сайта/public_html/tmp';
*

Davidich

  • Осваиваюсь на форуме
  • 185
  • 7 / 1
Re: Не удается обновиться до 2.5.16
« Ответ #6 : 05.12.2013, 09:06:57 »
если вынесли за пределы папки сайта public $tmp_path = '/home/c/имя папки/tmp';
« Последнее редактирование: 05.12.2013, 09:14:12 от Davidich »
*

draff

  • Практически профи
  • 2902
  • 192 / 5
  • step by step
Re: Не удается обновиться до 2.5.16
« Ответ #7 : 05.12.2013, 09:31:26 »
Информация о системе-Права- доступ на запись все ?
В значение $tmp_path пишем значение DocumentRoot , которое можно узнать из Информация о PHP or
Код
<?php phpinfo() ; ?>
Удалю вирус с сайта. Тема в коммерческом разделе     |    Отзывы
Создам плагин , модуль под заказ для VirtueMart , JoomShopping
*

saschka

  • Осваиваюсь на форуме
  • 156
  • 0 / 0
Re: Не удается обновиться до 2.5.16
« Ответ #8 : 05.12.2013, 09:51:47 »
Информация о системе-Права- доступ на запись все ?
Информация о системе-права доступа на каталоги-configuration.php   Недоступно
Наверно, в этом проблема, так?
*

saschka

  • Осваиваюсь на форуме
  • 156
  • 0 / 0
Re: Не удается обновиться до 2.5.16
« Ответ #9 : 05.12.2013, 09:57:39 »
Кажется, понял в чем дело. Это админ тулс меня защитило так.
Но теперь в эту самую админ тулс зайти не могу.
Ошибка при загрузке http://almest.ru/administrator/index.php?option=com_admintools.
*

saschka

  • Осваиваюсь на форуме
  • 156
  • 0 / 0
Re: Не удается обновиться до 2.5.16
« Ответ #10 : 05.12.2013, 10:30:41 »
Сделал доступным файл configuration.php (755), но все равно не удается установить обновление. Хочу отметить, другие компоненты устанавливаются и обновляются.
*

saschka

  • Осваиваюсь на форуме
  • 156
  • 0 / 0
Re: Не удается обновиться до 2.5.16
« Ответ #11 : 05.12.2013, 10:35:24 »
Установил с помощью менеджера расширений-Установить из URL. После установки выдал 5 или 6 ошибок, но при этом подтвердил, что установка прошла успешно. Теперь посмотрим, каковы будут последствия... Даже страшно.
*

SK

  • Практически профи
  • 2141
  • 161 / 0
Re: Не удается обновиться до 2.5.16
« Ответ #12 : 05.12.2013, 11:11:42 »
saschka, Вы бы в первую очередь исправили глобальную ошибку, на которую Вам указали выше - у Вас в файле configutation.php прописан неправильный путь к папке tmp
Цитировать
public $tmp_path = 'tmp';
Подозреваю, что и к папке logs тоже путь неправильный.

Исправьте сначала эту серьезную ошибку, а потом уже с установкой расширений разбирайтесь. Хотя и разбираться не придется, т.к. неправильный путь к папке tmp и приводит к ошибкам при установке.
*

saschka

  • Осваиваюсь на форуме
  • 156
  • 0 / 0
Re: Не удается обновиться до 2.5.16
« Ответ #13 : 05.12.2013, 12:14:34 »
saschka, Вы бы в первую очередь исправили глобальную ошибку, на которую Вам указали выше - у Вас в файле configutation.php прописан неправильный путь к папке tmpПодозреваю, что и к папке logs тоже путь неправильный.

Исправьте сначала эту серьезную ошибку, а потом уже с установкой расширений разбирайтесь. Хотя и разбираться не придется, т.к. неправильный путь к папке tmp и приводит к ошибкам при установке.
Все, исправил. Только интересно, почему именно сейчас эта проблема стала вылезать, но не раньше? Всегда все установки проходили очень легко, без ошибок.
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Не могу обновиться до 2.5.28

Автор jess

Ответов: 78
Просмотров: 3285
Последний ответ 11.02.2016, 02:03:11
от vipiusss
Не удается мигрировать с 1.5 на 2.5

Автор Александр216

Ответов: 2
Просмотров: 658
Последний ответ 16.09.2014, 22:00:12
от Messir
Joomla 2.5.11 просит обновиться до Joomla 3.1.1

Автор intcorp

Ответов: 6
Просмотров: 2142
Последний ответ 25.06.2013, 10:14:37
от HiopsNerevar
как обновиться с версии 2.5.1 до 2.5.6

Автор Kamnerobot

Ответов: 11
Просмотров: 1970
Последний ответ 25.08.2012, 01:47:34
от Marques
Не могу попасть в админку. Пишет "Не удается подключиться к серверу LDAP"

Автор Норман

Ответов: 7
Просмотров: 4627
Последний ответ 15.06.2012, 19:37:20
от Норман